This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 501729 - Pull RHEV bugfixes between kvm-83-42.el5ovirt and kvm-83-52.el5ovirt
Pull RHEV bugfixes between kvm-83-42.el5ovirt and kvm-83-52.el5ovirt
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Eduardo Habkost
Lawrence Lim
:
Depends On:
Blocks: 503793 503811
  Show dependency treegraph
 
Reported: 2009-05-20 10:20 EDT by Eduardo Habkost
Modified: 2014-03-25 20:56 EDT (History)
3 users (show)

See Also:
Fixed In Version: kvm-83-39.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 503793 (view as bug list)
Environment:
Last Closed: 2009-09-02 05:33:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mailbox containing all the patches that are being pulled (95.01 KB, patch)
2009-05-20 10:30 EDT, Eduardo Habkost
no flags Details | Diff

  None (edit)
Comment 1 Eduardo Habkost 2009-05-20 10:30:31 EDT
Created attachment 344813 [details]
mailbox containing all the patches that are being pulled
Comment 2 Eduardo Habkost 2009-05-20 12:41:01 EDT
Patches acked:
* Patch: qemu: Add support for SMBIOS command line options (Alex Williamson)
  (Message-Id: <20090430075427.GH5082@redhat.com>)
  - Acked-by: Markus Armbruster <armbru@redhat.com>
  - Acked-by: Zachary Amsden <zamsden@redhat.com>
  - Acked-by: Andrea Arcangeli <aarcange@redhat.com>

* Patch: qemu: Add support for SMBIOS command line options (Alex Williamson)
  (Message-Id: <20090430075427.GH5082@redhat.com>)
  - Acked-by: Markus Armbruster <armbru@redhat.com>
  - Acked-by: Zachary Amsden <zamsden@redhat.com>
  - Acked-by: Andrea Arcangeli <aarcange@redhat.com>

* Patch: Don't try to extract protocol from absolute filenames
  (Message-Id: <20090306212830.GL5077@blackpad>)
  (Message-Id: <1240260965-2564-1-git-send-email-ehabkost@redhat.com>)
  - Acked-by: Kevin Wolf <kwolf@redhat.com>
  - Acked-by: john cooper <john.cooper@redhat.com>
  - Acked-by: Markus Armbruster <armbru@redhat.com>

* Patch: kvmtrace_format: read /usr/share/kvm/formats by default
  (Message-Id: <1240587575-24841-1-git-send-email-ehabkost@redhat.com>)
  - Acked-by: Kevin Wolf <kwolf@redhat.com>
  - Acked-by: Gleb Natapov <gleb@redhat.com>
  - Acked-by: Dor Laor <dlaor@redhat.com>

* Patch: e1000: Do not reinit pci config space to 0
  (Message-Id: <20090513093739.GA15304@amit-x200.pnq.redhat.com>)
  - Acked-by: Juan Quintela <quintela@redhat.com>
  - Acked-by: Dor Laor <dlaor@redhat.com>
  - Acked-by: john cooper <john.cooper@redhat.com>
  - Acked-by: Glauber Costa <glommer@redhat.com>
  - Acked-by: Eduardo Habkost <ehabkost@redhat.com>

* Patch: Fix cluster freeing in qcow2
  (Message-Id: <20090510130352.GF18554@redhat.com>)
  - Acked-by: Kevin Wolf <kwolf@redhat.com>
  - Acked-by: Andrea Arcangeli <aarcange@redhat.com>
  - Acked-by: Eduardo Habkost <ehabkost@redhat.com>
  - Acked-by: Dor Laor <dlaor@redhat.com>

* Patch: Revert "Fix CVE-2008-0928 - insufficient block device address range checking"
  (Message-Id: <20090428141452.GF29825@blackpad>)
  - Acked-by: Kevin Wolf <kwolf@redhat.com>
  - Acked-by: Zachary Amsden <zamsden@redhat.com>
  - Acked-by: Gleb Natapov <gleb@redhat.com>

* Patch: Fix CVE-2008-0928 - insufficient block device address range checking (v3)
  (Message-Id: <1242222169-22821-1-git-send-email-kwolf@redhat.com>)
  - Acked-by: Markus Armbruster <armbru@redhat.com>
  - Acked-by: Eduardo Habkost <ehabkost@redhat.com>
  - Acked-by: Juan Quintela <quintela@redhat.com>

* Patch: don't use a 32-bit bit type as offset argument.
  (Message-Id: <1242311454-8791-1-git-send-email-glommer@redhat.com>)
  (Message-Id: <1242324825-8871-1-git-send-email-glommer@redhat.com>)
  - Acked-by: Dor Laor <dlaor@redhat.com>
  - Acked-by: Eduardo Habkost <ehabkost@redhat.com>
  - Acked-by: Rik van Riel <riel@redhat.com>

* Patch: Fix oops on 2.6.25 guest (Rusty Russell)
  (Message-Id: <4A01B6BD.70506@redhat.com>)
  (Message-Id: <20090511162717.GG4871@blackpad>)
  - Acked-by: Zachary Amsden <zamsden@redhat.com>
  - Acked-by: "Michael S. Tsirkin" <mst@redhat.com>
  - Acked-by: john cooper <john.cooper@redhat.com>

* Patch: Fix segfault after tap host_net_remove
  (Message-Id: <1242387172.25932.5.camel@blaa>)
  - Acked-by: Glauber Costa <glommer@redhat.com>
  - Acked-by: Eduardo Habkost <ehabkost@redhat.com>
  - Acked-by: Juan Quintela <quintela@redhat.com>

* Patch: Fix virtio-net segfault during live migrate after NIC hot-unplug
  (Message-Id: <1242387177.25932.6.camel@blaa>)
  - Acked-by: Glauber Costa <glommer@redhat.com>
  - Acked-by: Eduardo Habkost <ehabkost@redhat.com>
  - Acked-by: Kevin Wolf <kwolf@redhat.com>
  - Acked-by: Juan Quintela <quintela@redhat.com>

* Patch: Fix e1000 segfault during live migrate after NIC hot-unplug
  (Message-Id: <1242387181.25932.7.camel@blaa>)
  - Acked-by: Glauber Costa <glommer@redhat.com>
  - Acked-by: Eduardo Habkost <ehabkost@redhat.com>
  - Acked-by: Kevin Wolf <kwolf@redhat.com>
  - Acked-by: Juan Quintela <quintela@redhat.com>

* Patch: Backport oom_check() from upstream
  (Message-Id: <20090515171218.GC2079@blackpad>)
  - Acked-by: Markus Armbruster <armbru@redhat.com>
  - Acked-by: Glauber Costa <glommer@redhat.com>
  - Acked-by: Gleb Natapov <gleb@redhat.com>
  - Acked-by: Juan Quintela <quintela@redhat.com>
  - Acked-by: john cooper <john.cooper@redhat.com>

* Patch: qcow2: fix image creation for large, > ~2TB, images (Chris Wright)
  (Message-Id: <1242049841-10369-1-git-send-email-kwolf@redhat.com>)
  - Acked-by: Gleb Natapov <gleb@redhat.com>
  - Acked-by: john cooper <john.cooper@redhat.com>
  - Acked-by: Juan Quintela <quintela@redhat.com>

* Patch: Fix live migratation failure after pcnet NIC hot-unplug
  (Message-Id: <1242388845.25932.11.camel@blaa>)
  - Acked-by: Eduardo Habkost <ehabkost@redhat.com>
  - Acked-by: Kevin Wolf <kwolf@redhat.com>
  - Acked-by: Juan Quintela <quintela@redhat.com>

* Patch: Fix qemu_realloc() with size == 0
  (Message-Id: <20090518170152.GL2079@blackpad>)
  - Acked-by: Kevin Wolf <kwolf@redhat.com>
  - Acked-by: Markus Armbruster <armbru@redhat.com>
  - Acked-by: Juan Quintela <quintela@redhat.com>
Comment 3 Eduardo Habkost 2009-05-20 12:41:16 EDT
Patch posted for review and queued. Changing status to POST
Comment 7 lihuang 2009-07-20 10:01:31 EDT
Patches including : 
- kvm-qemu-Add-support-for-SMBIOS-command-line-options-Ale.patch [bz#501729 bz#501729]
- kvm-Don-t-try-to-extract-protocol-from-absolute-filename.patch [bz#501729]
- kvm-kvmtrace_format-read-usr-share-kvm-formats-by-defaul.patch [bz#501729]
- kvm-e1000-Do-not-reinit-pci-config-space-to-0.patch [bz#501729]
- kvm-Fix-cluster-freeing-in-qcow2.patch [bz#501729]
- kvm-Revert-Fix-CVE-2008-0928-insufficient-block-device-a.patch [bz#501729]
- kvm-Fix-CVE-2008-0928-insufficient-block-device-address-.patch [bz#501729]
- kvm-don-t-use-a-32-bit-bit-type-as-offset-argument.patch [bz#501729]
- kvm-Fix-oops-on-2.6.25-guest-Rusty-Russell.patch [bz#501729]
- kvm-Fix-segfault-after-tap-host_net_remove.patch [bz#501729]
- kvm-Fix-virtio-net-segfault-during-live-migrate-after-NI.patch [bz#501729]
- kvm-Fix-e1000-segfault-during-live-migrate-after-NIC-hot.patch [bz#501729]
- kvm-Backport-oom_check-from-upstream.patch [bz#501729]
- kvm-qcow2-fix-image-creation-for-large-2TB-images-Chris-.patch [bz#501729]
- kvm-Fix-live-migratation-failure-after-pcnet-NIC-hot-unp.patch [bz#501729]
- kvm-Fix-qemu_realloc-with-size-0.patch [bz#501729]
- Spec file sync: [bz#501729]

Note : there is a revert bug commit for bug 490344. so the patch for 490344 is not included in this bug .

setting to *VERIFIED*
Comment 9 errata-xmlrpc 2009-09-02 05:33:04 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1272.html

Note You need to log in before you can comment on or make changes to this bug.